org.apache.flume.channel.file

## Class TransactionIDOracle

- java.lang.Object
- - org.apache.flume.channel.file.TransactionIDOracle

-     public final class TransactionIDOracle
      extends Object

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static long` | `next()`
    `static void` | `setSeed(long highest)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### setSeed

          public static void setSeed(long highest)

    - #### next

          public static long next()

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.